{"openapi":"3.0.4","info":{"title":"[EXPERIMENTAL] QueryCashStatementLocalCurrency","description":"Returns settled cash movements with a running balance in local currency for the specified Fund\r\nvaluation point period. The cash statement is derived from Journal Entry Lines filtered to\r\nsettled cash (HoldType='B', SourceType=LusidTransaction). Use the DisplayMode parameter on the\r\nrequest body to choose between ShowReversal (full reversal/TrueUp detail) and Consolidated\r\n(collapses system-generated zero-net reversal/TrueUp pairs into SystemCorrection rows). Base\r\ncurrency columns are out of scope for this variant and are not returned.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/funds/{scope}/{code}/valuationpoints/cashstatementlocalcurrency/$query":{"post":{"tags":["Funds"],"summary":"[EXPERIMENTAL] QueryCashStatementLocalCurrency","description":"Returns settled cash movements with a running balance in local currency for the specified Fund\r\nvaluation point period. The cash statement is derived from Journal Entry Lines filtered to\r\nsettled cash (HoldType='B', SourceType=LusidTransaction). Use the DisplayMode parameter on the\r\nrequest body to choose between ShowReversal (full reversal/TrueUp detail) and Consolidated\r\n(collapses system-generated zero-net reversal/TrueUp pairs into SystemCorrection rows). Base\r\ncurrency columns are out of scope for this variant and are not returned.","operationId":"QueryCashStatementLocalCurrency","parameters":[{"name":"scope","in":"path","description":"The scope of the Fund.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"code","in":"path","description":"The code of the Fund. Together with the scope this uniquely identifies the Fund.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"asAt","in":"query","description":"The asAt datetime at which to retrieve the cash statement. Defaults to the latest version if not specified.","schema":{"type":"string","format":"date-time"},"x-nullable":true},{"name":"filter","in":"query","description":"Expression to filter the result set.","schema":{"maxLength":16384,"minLength":0,"pattern":"^[\\s\\S]*$","type":"string"}},{"name":"limit","in":"query","description":"When paginating, limit the number of returned results to this many. Defaults to 100 if not specified.","schema":{"maximum":5000,"minimum":1,"type":"integer","format":"int32"},"x-nullable":true},{"name":"page","in":"query","description":"The pagination token to use to get the next page of results.","schema":{"maxLength":500,"minLength":1,"pattern":"^[a-zA-Z0-9\\+/]*={0,3}$","type":"string"}},{"name":"propertyKeys","in":"query","description":"A list of property keys to decorate onto the cash statement rows.","schema":{"type":"array","items":{"type":"string","description":"The key that uniquely identifies the property. It has the format {domain}/{scope}/{code}."}},"x-nullable":true},{"name":"navTypeCode","in":"query","description":"The code of the NAV type to use. Defaults to the primary NAV type if not specified.","schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}}],"requestBody":{"description":"The query parameters specifying the diary entry period and display mode.","content":{"application/json-patch+json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/QueryFundCashStatementParameters"},"example":{"end":{"diaryEntry":"DiaryEntryCode"},"displayMode":"ShowReversal"}},"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/QueryFundCashStatementParameters"},"example":{"end":{"diaryEntry":"DiaryEntryCode"},"displayMode":"ShowReversal"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/QueryFundCashStatementParameters"},"example":{"end":{"diaryEntry":"DiaryEntryCode"},"displayMode":"ShowReversal"}},"application/*+json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/QueryFundCashStatementParameters"},"example":{"end":{"diaryEntry":"DiaryEntryCode"},"displayMode":"ShowReversal"}}},"required":true},"responses":{"200":{"description":"The local-currency cash statement for the specified Fund valuation point.","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/ValuationPointResourceListOfFundCashStatementLocalCurrency"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/ValuationPointResourceListOfFundCashStatementLocalCurrency"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/ValuationPointResourceListOfFundCashStatementLocalCurrency"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"EarlyAccess"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}